# A .gitignore for Keil projects.
# Taken mostly from http://www.keil.com/support/man/docs/uv4/uv4_b_filetypes.htm

# User-specific uVision files
*.opt
*.uvopt
*.uvoptx
*.uvgui
*.uvgui.*
*.uvguix.*

# Listing files
#*.cod
#*.map
#*.m51
#*.m66
*._ip
*.i
*.lst
*/Listings/*.txt

# define exception below if needed
*.scr

# Object and HEX files
*.axf
*.b[0-3][0-9]
*.hex
*.d
*.crf
*.elf
*.hex
*.h86
*.obj
*.o
*.sbr
*.htm

# Build files
# define exception below if needed
*.bat
*._ia
*.__i
*._ii

# Generated output files
/Listings/*
/Objects/*

# Debugger files
# define exception below if needed
*.ini

# Other files
*.build_log.htm
*.cdb
*.dep
*.ic
*.lin
*.lnp
*.orc
# define exception below if needed
*.pack
# define exception below if needed
*.pdsc
*.plg
# define exception below if needed
*.sct
*.sfd
*.sfr

# Miscellaneous
*.tra
*.fed
*.l1p
*.l2p
*.iex


/si/
!*.bin
!*.map

# To explicitly override the above, define any exceptions here; e.g.:
# !my_customized_scatter_file.sct
